# $Revision: 1.27 $, $Date: 2011/11/10 14:30:05 $
%define		_status		stable
%define		_pearname PHPUnit
%define		php_min_version 5.2.7
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - regression testing framework for unit tests
Summary(pl.UTF-8):	%{_pearname} - zestaw testów regresyjnych
Name:		php-phpunit-%{_pearname}
Version:	3.6.2
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.phpunit.de/get/PHPUnit-%{version}.tgz
# Source0-md5:	65c5c822f83f915d7a51ae5774ffb62b
URL:		http://www.phpunit.de/
BuildRequires:	php-channel(components.ez.no)
BuildRequires:	php-channel(pear.phpunit.de)
BuildRequires:	php-channel(pear.symfony-project.com)
BuildRequires:	php-pear >= 4:1.1-2
BuildRequires:	php-pear-PEAR >= 1:1.9.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.473
Requires:	php-channel(pear.phpunit.de)
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-dom
Requires:	php-pcre
Requires:	php-pear >= 4:1.1-2
Requires:	php-pear-XML_RPC2
Requires:	php-phpunit-DbUnit >= 1.0.0
Requires:	php-phpunit-File_Iterator >= 1.3.0
Requires:	php-phpunit-PHPUnit_MockObject >= 1.1.0
Requires:	php-phpunit-PHPUnit_Selenium >= 1.0.1
Requires:	php-phpunit-PHP_CodeCoverage >= 1.1.0
Requires:	php-phpunit-PHP_Timer >= 1.0.1
Requires:	php-phpunit-Text_Template >= 1.1.1
Requires:	php-reflection
Requires:	php-spl
Requires:	php-symfony-YAML >= 1.0.2
Suggests:	php-curl
Suggests:	php-dbus
Suggests:	php-json
Suggests:	php-pdo
Suggests:	php-phpunit-PHP_Invoker
Suggests:	php-simplexml
Suggests:	php-soap
Suggests:	php-tokenizer
Provides:	php-PHPUnit = %{version}
Obsoletes:	php-PHPUnit < 3.5
Obsoletes:	php-PHPUnit-tests
Obsoletes:	php-pear-PHPUnit
Obsoletes:	php-pear-PHPUnit2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		dep_optional	pear(Image/GraphViz.*) pear(Log.*) pear(SymfonyComponents/.*) pear(XML/RPC2/Client.php)

# put it together for rpmbuild
%define		_noautoreq	%{?dep_optional} %{?dep_missing}

%description
PHPUnit is a regression testing framework used by the developer who
implements unit tests in PHP. It is based upon JUnit, which can be
found at <http://www.junit.org/>.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
PHPUnit jest zestawem testów regresyjnych używanych przez developerów,
którzy implementują jednostki testowe w PHP. Jest bazowane na JUnit,
który można znaleźć pod adresem <http://www.junit.org/>.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
install -d $RPM_BUILD_ROOT%{_bindir}
install -p usr/bin/phpunit $RPM_BUILD_ROOT%{_bindir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/.channel.pear.phpunit.de/*.reg
%attr(755,root,root) %{_bindir}/phpunit
%{php_pear_dir}/PHPUnit

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-phpunit-PHPUnit.spec,v $
Revision 1.27  2011/11/10 14:30:05  glen
- updated to: 3.6.2

Revision 1.26  2011/11/04 12:44:56  glen
- updated to: 3.6.1

Revision 1.25  2011/11/02 21:31:46  glen
- updated to: 3.6.0

Revision 1.24  2011/07/31 19:10:00  glen
- updated to: 3.5.14

Revision 1.23  2011/06/01 17:22:25  glen
- tokenizer is pretty much required

Revision 1.22  2011/05/25 22:47:23  glen
- provide old php-PHPUnit for dependencies

Revision 1.21  2011/04/25 09:22:13  glen
- updated to: 3.5.13

Revision 1.20  2011/02/27 14:36:59  glen
- updated to: 3.5.12

Revision 1.19  2011/02/27 11:32:11  glen
- obsolete more phpunit packages

Revision 1.18  2011/02/12 18:14:40  glen
- rename to conform to php-<channel>-<name> naming policy
- update to 3.5.11

Revision 1.17  2010/11/23 06:24:51  glen
- 3.5.5

Revision 1.16  2010/11/22 12:59:57  glen
- up to 3.5.4

Revision 1.15  2010/10/27 12:22:31  glen
- autoup to 3.5.3

Revision 1.14  2010/10/20 16:19:24  glen
- deps from proper channel, version up to 3.5.2

Revision 1.13  2010/10/20 06:16:06  glen
- pear deps

Revision 1.12  2010/10/01 12:55:13  glen
- up to 3.5.0

Revision 1.11  2010/07/20 09:52:00  glen
- optional deps; rel 2

Revision 1.10  2010/07/20 07:48:31  glen
- update to 3.4.15, tests disabled (not included)

Revision 1.9  2009/05/03 18:41:26  adamg
- updated to 3.3.16

Revision 1.8  2009/02/24 15:07:47  zergin
- add missing /usr/bin/phpunit (rel 2)

Revision 1.7  2009/02/24 13:26:50  zergin
- update to 3.3.14 (current stable)

Revision 1.6  2008/12/21 21:29:06  glen
- update to 3.3.8

Revision 1.5  2008/12/10 08:52:33  glen
- pear.phpunit.de channel defined in php-pear; rel 4

Revision 1.4  2008/12/09 23:19:48  glen
- channel dir moved to php-pear package; rel 3

Revision 1.3  2008/08/26 13:51:45  glen
- no %{dirname:xxx} expand in rpm 4.4.9; rel 2

Revision 1.2  2008/08/26 11:42:00  glen
- release 1

Revision 1.1  2008/08/12 17:54:57  glen
- new, based on php-pear-PHPUnit.spec
